跳到主要内容

读取组合数据更新任务状态

GET/research/portfolios/{code}/refresh-status在线调试
GET https://api.shengkezhi.com/open/v1/research/portfolios/PORTFOLIO_DEMO_001/refresh-status
等效 curl
curl "https://api.shengkezhi.com/open/v1/research/portfolios/PORTFOLIO_DEMO_001/refresh-status" \
  -H "Authorization: Bearer sk_xxx"

GET /research/portfolios/{code}/refresh-status — 读取组合数据更新任务状态。

需在请求头携带 Authorization: Bearer sk_xxx。

请求参数​

参数位置类型必填默认值说明
codepathstring是-组合编码。

响应 data​

没有刷新任务时 data 为 null;存在任务时返回本次执行编号、状态、提交时间和更新时间,失败时 error 为原因。

字段类型必填说明
run_idstring是本次执行的唯一编号。
statusstring是任务状态:pending、succeeded 或 failed。
submitted_atstring是任务提交时间。
updated_atstring是任务最近一次状态更新时间。
errorstring | null否失败原因;未失败时为 null。

调用示例​

curl -X GET "https://api.shengkezhi.com/open/v1/research/portfolios/PORTFOLIO_DEMO_001/refresh-status" \
-H "Authorization: Bearer sk_xxx"
{
"code": 0,
"data": {
"run_id": "run_20260701_001",
"status": "pending",
"submitted_at": "2026-09-13T10:00:00Z",
"updated_at": "2026-09-13T10:01:00Z",
"error": null
},
"msg": "ok"
}```